Bug 133815 - [PATCH] pxeos and pxeboot require X despite they're command line tools
[PATCH] pxeos and pxeboot require X despite they're command line tools
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 13:57 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 15:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rcnb-pxeos-non-gui.patch (2.47 KB, patch)
2004-09-27 13:58 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2004-09-27 13:57:34 EDT
$ echo $DISPLAY
:0.0
$ pxeos
pxeos - Python pxeos commandline tool

Usage: pxeos [-a|-m|-d|-l] [-h] [-i <description> ] [-p <protocol> ]
[-D<1|0>] [-s <server>] [-L <location>] [-A <1|0>] [-u <user>] [-P
<password>] name
$ unset DISPLAY
$ pxeos
Unable to initialize graphical environment. Most likely cause of failure
is that the tool was not run using a graphical environment. Please either
start your graphical user interface or set your DISPLAY variable.
Caught exception: could not open display

Attached patch below fixes this problem.
Comment 1 Bastien Nocera 2004-09-27 13:58:49 EDT
Created attachment 104387 [details]
rcnb-pxeos-non-gui.patch
Comment 2 Daniel Walsh 2004-09-28 07:20:24 EDT
Did basically the same thing yesterday.

system-config-netboot-0.1.4-1 Has the fix.
Comment 5 Jay Turner 2004-11-01 10:03:28 EST
Issue is resolved with 0.1.5-1.
Comment 6 John Flanagan 2004-12-21 15:10:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-573.html

Note You need to log in before you can comment on or make changes to this bug.